15810770710@163.com 3 rokov pred
rodič
commit
cc67e5f849

+ 118 - 0
.mvn/wrapper/MavenWrapperDownloader.java

@@ -0,0 +1,118 @@
+/*
+ * Copyright 2007-present the original author or authors.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *      https://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+import java.net.*;
+import java.io.*;
+import java.nio.channels.*;
+import java.util.Properties;
+
+public class MavenWrapperDownloader {
+
+    private static final String WRAPPER_VERSION = "0.5.6";
+    /**
+     * Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided.
+     */
+    private static final String DEFAULT_DOWNLOAD_URL = "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/"
+            + WRAPPER_VERSION + "/maven-wrapper-" + WRAPPER_VERSION + ".jar";
+
+    /**
+     * Path to the maven-wrapper.properties file, which might contain a downloadUrl property to
+     * use instead of the default one.
+     */
+    private static final String MAVEN_WRAPPER_PROPERTIES_PATH =
+            ".mvn/wrapper/maven-wrapper.properties";
+
+    /**
+     * Path where the maven-wrapper.jar will be saved to.
+     */
+    private static final String MAVEN_WRAPPER_JAR_PATH =
+            ".mvn/wrapper/maven-wrapper.jar";
+
+    /**
+     * Name of the property which should be used to override the default download url for the wrapper.
+     */
+    private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl";
+
+    public static void main(String args[]) {
+        System.out.println("- Downloader started");
+        File baseDirectory = new File(args[0]);
+        System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath());
+
+        // If the maven-wrapper.properties exists, read it and check if it contains a custom
+        // wrapperUrl parameter.
+        File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH);
+        String url = DEFAULT_DOWNLOAD_URL;
+        if (mavenWrapperPropertyFile.exists()) {
+            FileInputStream mavenWrapperPropertyFileInputStream = null;
+            try {
+                mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile);
+                Properties mavenWrapperProperties = new Properties();
+                mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream);
+                url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url);
+            } catch (IOException e) {
+                System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'");
+            } finally {
+                try {
+                    if (mavenWrapperPropertyFileInputStream != null) {
+                        mavenWrapperPropertyFileInputStream.close();
+                    }
+                } catch (IOException e) {
+                    // Ignore ...
+                }
+            }
+        }
+        System.out.println("- Downloading from: " + url);
+
+        File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH);
+        if (!outputFile.getParentFile().exists()) {
+            if (!outputFile.getParentFile().mkdirs()) {
+                System.out.println(
+                        "- ERROR creating output directory '" + outputFile.getParentFile().getAbsolutePath() + "'");
+            }
+        }
+        System.out.println("- Downloading to: " + outputFile.getAbsolutePath());
+        try {
+            downloadFileFromURL(url, outputFile);
+            System.out.println("Done");
+            System.exit(0);
+        } catch (Throwable e) {
+            System.out.println("- Error downloading");
+            e.printStackTrace();
+            System.exit(1);
+        }
+    }
+
+    private static void downloadFileFromURL(String urlString, File destination) throws Exception {
+        if (System.getenv("MVNW_USERNAME") != null && System.getenv("MVNW_PASSWORD") != null) {
+            String username = System.getenv("MVNW_USERNAME");
+            char[] password = System.getenv("MVNW_PASSWORD").toCharArray();
+            Authenticator.setDefault(new Authenticator() {
+                @Override
+                protected PasswordAuthentication getPasswordAuthentication() {
+                    return new PasswordAuthentication(username, password);
+                }
+            });
+        }
+        URL website = new URL(urlString);
+        ReadableByteChannel rbc;
+        rbc = Channels.newChannel(website.openStream());
+        FileOutputStream fos = new FileOutputStream(destination);
+        fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
+        fos.close();
+        rbc.close();
+    }
+
+}

BIN
.mvn/wrapper/maven-wrapper.jar


+ 2 - 0
.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1,2 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.2/apache-maven-3.8.2-bin.zip
+wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar

+ 310 - 0
mvnw

@@ -0,0 +1,310 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`which java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
+    fi
+else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+    fi
+    if [ -n "$MVNW_REPOURL" ]; then
+      jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    else
+      jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    fi
+    while IFS="=" read key value; do
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+      esac
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Downloading from: $jarUrl"
+    fi
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+    if $cygwin; then
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+    fi
+
+    if command -v wget > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found wget ... using wget"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            wget "$jarUrl" -O "$wrapperJarPath"
+        else
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath"
+        fi
+    elif command -v curl > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found curl ... using curl"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            curl -o "$wrapperJarPath" "$jarUrl" -f
+        else
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+        fi
+
+    else
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Falling back to using Java to download"
+        fi
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+        # For Cygwin, switch paths to Windows format before running javac
+        if $cygwin; then
+          javaClass=`cygpath --path --windows "$javaClass"`
+        fi
+        if [ -e "$javaClass" ]; then
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Compiling MavenWrapperDownloader.java ..."
+                fi
+                # Compiling the Java class
+                ("$JAVA_HOME/bin/javac" "$javaClass")
+            fi
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                # Running the downloader
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Running MavenWrapperDownloader.java ..."
+                fi
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+            fi
+        fi
+    fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 182 - 0
mvnw.cmd

@@ -0,0 +1,182 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+
+FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%

+ 90 - 0
pom.xml

@@ -0,0 +1,90 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+    <modelVersion>4.0.0</modelVersion>
+    <parent>
+        <groupId>org.springframework.boot</groupId>
+        <artifactId>spring-boot-starter-parent</artifactId>
+        <version>2.0.6.RELEASE</version>
+        <relativePath/> <!-- lookup parent from repository -->
+    </parent>
+    <groupId>com.jkcredit.info.query</groupId>
+    <artifactId>info-query</artifactId>
+    <version>1.0.0</version>
+    <name>info-query</name>
+    <description>Demo project for Spring Boot</description>
+    <properties>
+        <java.version>1.8</java.version>
+        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+    </properties>
+    <dependencies>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-web</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.projectlombok</groupId>
+            <artifactId>lombok</artifactId>
+            <optional>true</optional>
+        </dependency>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-test</artifactId>
+            <scope>test</scope>
+        </dependency>
+        <dependency>
+            <groupId>com.alibaba</groupId>
+            <artifactId>fastjson</artifactId>
+            <version>1.2.70</version>
+        </dependency>
+        <dependency>
+            <groupId>com.squareup.okhttp3</groupId>
+            <artifactId>okhttp</artifactId>
+            <version>3.8.1</version>
+        </dependency>
+        <dependency>
+            <groupId>org.jsoup</groupId>
+            <artifactId>jsoup</artifactId>
+            <version>1.14.3</version>
+        </dependency>
+<!--        <dependency>-->
+<!--            <groupId>org.apache.httpcomponents</groupId>-->
+<!--            <artifactId>httpclient</artifactId>-->
+<!--            <version>4.2.5</version>-->
+<!--        </dependency>-->
+        <dependency>
+            <groupId>org.apache.commons</groupId>
+            <artifactId>commons-lang3</artifactId>
+            <version>3.9</version>
+        </dependency>
+        <dependency>
+            <groupId>org.springframework.cloud</groupId>
+            <artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
+            <version>2.0.2.RELEASE</version>
+        </dependency>
+        <dependency>
+            <groupId>com.jkcredit.common</groupId>
+            <artifactId>commons-lang</artifactId>
+            <version>1.0.0</version>
+        </dependency>
+    </dependencies>
+
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.springframework.boot</groupId>
+                <artifactId>spring-boot-maven-plugin</artifactId>
+                <configuration>
+                    <excludes>
+                        <exclude>
+                            <groupId>org.projectlombok</groupId>
+                            <artifactId>lombok</artifactId>
+                        </exclude>
+                    </excludes>
+                </configuration>
+            </plugin>
+        </plugins>
+    </build>
+
+</project>

+ 17 - 0
src/main/java/com/jkcredit/info/query/InfoQueryApplication.java

@@ -0,0 +1,17 @@
+package com.jkcredit.info.query;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
+
+@EnableEurekaClient
+@SpringBootApplication
+public class InfoQueryApplication {
+
+    public static void main(String[] args) {
+//        System.setProperty("https.proxyHost", "127.0.0.1");
+//        System.setProperty("https.proxyPort", "9986");
+        SpringApplication.run(InfoQueryApplication.class, args);
+    }
+
+}

+ 6 - 0
src/main/java/com/jkcredit/info/query/constant/CommonConstant.java

@@ -0,0 +1,6 @@
+package com.jkcredit.info.query.constant;
+
+import java.util.List;
+
+public class CommonConstant {
+}

+ 48 - 0
src/main/java/com/jkcredit/info/query/controller/InfoQueryController.java

@@ -0,0 +1,48 @@
+package com.jkcredit.info.query.controller;
+
+import com.alibaba.fastjson.JSONObject;
+import com.jkcredit.common.model.CommonResponseObject;
+import com.jkcredit.info.query.service.InformationQueryService;
+import com.netflix.discovery.DiscoveryManager;
+import lombok.extern.slf4j.Slf4j;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.cloud.client.ServiceInstance;
+import org.springframework.cloud.client.discovery.DiscoveryClient;
+import org.springframework.cloud.client.loadbalancer.LoadBalancerClient;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestBody;
+import org.springframework.web.bind.annotation.RestController;
+
+import javax.servlet.http.HttpServletResponse;
+import java.util.HashMap;
+
+@RestController
+@Slf4j
+public class InfoQueryController {
+    @Autowired
+    InformationQueryService informationQueryService;
+
+    @Autowired
+    LoadBalancerClient loadBalancerClient;
+    @Autowired
+    DiscoveryClient discoveryClient;
+
+    @PostMapping("/query")
+    public CommonResponseObject infoQuery(@RequestBody JSONObject body) {
+        log.info("query");
+        System.out.println("query");
+        return informationQueryService.query(body.getString("keyWord"), body.getString("type"));
+    }
+
+    @PostMapping("/loadCookie")
+    public CommonResponseObject loadCookie() {
+        return informationQueryService.loadCookie();
+    }
+
+    @PostMapping("/test")
+    public String test() {
+        System.out.println(123);
+        return "28081";
+    }
+}

+ 23 - 0
src/main/java/com/jkcredit/info/query/enums/CatalogEnum.java

@@ -0,0 +1,23 @@
+package com.jkcredit.info.query.enums;
+
+import com.jkcredit.info.query.enums.base.IEnum;
+import lombok.AllArgsConstructor;
+import lombok.Getter;
+
+@Getter
+@AllArgsConstructor
+public enum CatalogEnum implements IEnum<String> {
+    // public static final String[] CATALOG_NAMES = {"全国人口基本信息", "全国驾驶人", "被盗抢车辆",
+    //            "出入境证件", "违法犯罪人员", "全国在逃人员", "出入境记录", "全国机动车登记"};
+    BASIC_INFO("basicInfo", "全国人口基本信息"),
+    DRIVER_INFO("driverInfo", "全国驾驶人"),
+    STOLEN_VEHICLE_INFO("stolenVehicleInfo", "被盗抢车辆"),
+    IMMIGRATION_INFO("immigrationInfo", "出入境证件"),
+    ILLEGAL_INFO("illegalInfo", "违法犯罪人员"),
+    ESCAPED_CRIMINAL_INFO("excapedCriminalInfo", "全国在逃人员"),
+    MOVEMENT_RECORD("movementRecord", "出入境记录"),
+    VEHICLE_INFO("vehicleInfo", "全国机动车登记");
+
+    private String value;
+    private String desc;
+}

+ 6 - 0
src/main/java/com/jkcredit/info/query/enums/base/IEnum.java

@@ -0,0 +1,6 @@
+package com.jkcredit.info.query.enums.base;
+
+public interface IEnum<T> {
+    T getValue();
+    String getDesc();
+}

+ 14 - 0
src/main/java/com/jkcredit/info/query/service/InformationQueryService.java

@@ -0,0 +1,14 @@
+package com.jkcredit.info.query.service;
+
+
+import com.jkcredit.common.model.CommonResponseObject;
+
+/**
+ * @author xusonglin
+ * @version V1.0
+ **/
+public interface InformationQueryService {
+    CommonResponseObject query(String keyWord, String type);
+
+    CommonResponseObject loadCookie();
+}

+ 208 - 0
src/main/java/com/jkcredit/info/query/service/impl/InformationQueryServiceImpl.java

@@ -0,0 +1,208 @@
+package com.jkcredit.info.query.service.impl;
+
+import com.alibaba.fastjson.JSON;
+import com.alibaba.fastjson.JSONObject;
+import com.jkcredit.common.constant.CommonConstant;
+import com.jkcredit.common.model.CommonResponseObject;
+import com.jkcredit.info.query.enums.CatalogEnum;
+import com.jkcredit.info.query.service.InformationQueryService;
+import com.jkcredit.info.query.util.CatalogConcurrentHashMapUtil;
+import com.jkcredit.info.query.util.CookieUtil;
+import com.jkcredit.info.query.util.HttpUtil;
+import lombok.extern.slf4j.Slf4j;
+import okhttp3.FormBody;
+import org.apache.commons.lang3.StringUtils;
+import org.jsoup.Jsoup;
+import org.jsoup.nodes.Document;
+import org.jsoup.nodes.Element;
+import org.jsoup.select.Elements;
+import org.springframework.beans.factory.annotation.Value;
+import org.springframework.stereotype.Service;
+
+import java.io.UnsupportedEncodingException;
+import java.net.InetAddress;
+import java.net.URLEncoder;
+import java.net.UnknownHostException;
+import java.text.SimpleDateFormat;
+import java.util.*;
+
+/**
+ * @author xusonglin
+ * @version V1.0
+ **/
+@Service
+@Slf4j
+public class InformationQueryServiceImpl implements InformationQueryService {
+    @Value("${server.port}")
+    private String serverPort;
+    @Value("${supplier.mainPageRequestUrl}")
+    private String mainPageRequestUrl;
+    @Value("${supplier.catalogUrl}")
+    private String catalogUrl;
+    @Value("${supplier.queryResultUrl}")
+    private String queryResultUrl;
+    @Value("${supplier.hostUrl}")
+    private String hostUrl;
+
+    @Override
+    public CommonResponseObject query(String keyWord, String type) {
+        String requestId = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date())
+                + UUID.randomUUID().toString();
+        log.info("keyWord:{}, type:{}, requestId:{}", keyWord, type, requestId);
+        long startTime = System.currentTimeMillis();
+        String cookie = CookieUtil.getAuthenticationCookie();
+        if (StringUtils.isBlank(cookie)) {
+            CommonResponseObject result = CommonResponseObject.failed("查询失败",
+                    CommonConstant.NETWORK_DISABLED, getLocalHost(), requestId);
+            log.info("keyWord:{}, type:{}, requestId:{}, result:{}, costTime:{}"
+                    , keyWord, type, requestId, JSON.toJSONString(result), (System.currentTimeMillis() - startTime));
+            return result;
+        }
+        Map<String, JSONObject> catalogIdMap = CatalogConcurrentHashMapUtil.getInstance();
+        if (catalogIdMap.size() == 0) {
+            // 查询节点id
+            FormBody formBody = new FormBody.Builder()
+                    .add("pinyin", "false")
+                    .add("keyWord", keyWord)
+                    .build();
+            String catalogContent = HttpUtil.doPost(catalogUrl, formBody, cookie);
+            catalogIdMap = getCatalogIds(catalogContent);
+            CatalogConcurrentHashMapUtil.getInstance().putAll(catalogIdMap);
+        }
+
+        Map<String, String> detailInfo;
+        String id = "";
+        String queryId = "";
+        for (Map.Entry<String, JSONObject> entry : catalogIdMap.entrySet()) {
+            long detailStartTime = System.currentTimeMillis();
+            String catalogName = entry.getKey();
+            if (type.equals(catalogName)) {
+                JSONObject catalogIdObject = entry.getValue();
+                queryId = catalogIdObject.getString("queryId");
+                id = catalogIdObject.getString("id");
+            } else {
+                continue;
+            }
+            log.info("detailCostTime:{}", System.currentTimeMillis() - detailStartTime);
+        }
+        String encodeKeyWord = "";
+        try {
+            encodeKeyWord = URLEncoder.encode(keyWord, "utf-8");
+        } catch (UnsupportedEncodingException e) {
+            e.printStackTrace();
+        }
+        StringBuffer stringBuffer = new StringBuffer(queryResultUrl);
+        stringBuffer.append("?pinyin=false");
+        stringBuffer.append("&keyWord=").append(encodeKeyWord);
+        stringBuffer.append("&reportQuery.id=").append(queryId);
+        stringBuffer.append("&resource.id=").append(id);
+        String resultContent = HttpUtil.doGet(stringBuffer.toString(), cookie);
+        detailInfo = getDetailInfo(resultContent);
+        log.info("totalCostTime:{}", (System.currentTimeMillis() - startTime));
+        if (detailInfo != null && detailInfo.size() != 0) {
+            CommonResponseObject result = CommonResponseObject.success(detailInfo, getLocalHost(), requestId);
+            log.info("keyWord:{}, type:{}, requestId:{}, result:{}, costTime:{}"
+                    , keyWord, type, requestId, JSON.toJSONString(result), (System.currentTimeMillis() - startTime));
+            return result;
+        } else {
+            CommonResponseObject result = CommonResponseObject.noResult(getLocalHost(), requestId);
+            log.info("keyWord:{}, type:{}, requestId:{}, result:{}, costTime:{}"
+                    , keyWord, type, requestId, JSON.toJSONString(result), (System.currentTimeMillis() - startTime));
+            return result;
+        }
+    }
+
+    // todo 处理列表多条返回的情况
+    private Map<String, String> getDetailInfo(String content) {
+        Document doc = Jsoup.parse(content);
+        // 获取详情请求url
+        String url = doc.select("a").attr("url").replace("../", hostUrl);
+        if (StringUtils.isBlank(url)) {
+            return new HashMap<>();
+        }
+        System.out.println(url);
+        // 请求详情信息
+        String detailInfoContent = HttpUtil.doGet(url, CookieUtil.getAuthenticationCookie());
+        Document detailDoc = Jsoup.parse(detailInfoContent);
+        Elements elements = detailDoc.select(".detail-info-list");
+        Map<String, String> detailInfo = new HashMap<>();
+        for (int i = 0; i < elements.size(); i++) {
+            String dataName = detailDoc.select(".detail-info-list").get(i).select("span").get(1).attr("data-name");
+            String dataValue = detailDoc.select(".detail-info-list").get(i).select("span").get(1).text();
+            detailInfo.put(dataName, dataValue);
+        }
+        System.out.println(detailInfo.toString());
+        return detailInfo;
+    }
+
+    private Map<String, JSONObject> getCatalogIds(String catalogContent) {
+        // dom解析
+        Document doc = Jsoup.parse(catalogContent);
+        Elements elements = doc.select("li[class=sjzyli]");
+        Map<String, JSONObject> catalogIdMap = new HashMap<>();
+        for (int i = 0; i < elements.size(); i++) {
+            Element element = elements.get(i);
+
+            String name = element.select("li").attr("name");
+            String id = element.select("li").attr("id");
+            String queryId = element.select("li").attr("queryId");
+            JSONObject catalogIdObject = new JSONObject();
+            catalogIdObject.put("id", id);
+            catalogIdObject.put("queryId", queryId);
+            if (name.equals(CatalogEnum.BASIC_INFO.getDesc())) {
+                // 全国人口基本信息
+                catalogIdMap.put(CatalogEnum.BASIC_INFO.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.DRIVER_INFO.getDesc())) {
+                // 全国驾驶人
+                catalogIdMap.put(CatalogEnum.DRIVER_INFO.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.STOLEN_VEHICLE_INFO.getDesc())) {
+                // 被盗抢车辆
+                catalogIdMap.put(CatalogEnum.STOLEN_VEHICLE_INFO.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.IMMIGRATION_INFO.getDesc())) {
+                // 出入境证件
+                catalogIdMap.put(CatalogEnum.IMMIGRATION_INFO.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.ILLEGAL_INFO.getDesc())) {
+                // 违法犯罪人员
+                catalogIdMap.put(CatalogEnum.ILLEGAL_INFO.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.ESCAPED_CRIMINAL_INFO.getDesc())) {
+                // 全国在逃人员
+                catalogIdMap.put(CatalogEnum.ESCAPED_CRIMINAL_INFO.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.MOVEMENT_RECORD.getDesc())) {
+                // 出入境记录
+                catalogIdMap.put(CatalogEnum.MOVEMENT_RECORD.getValue(), catalogIdObject);
+            } else if (name.equals(CatalogEnum.VEHICLE_INFO.getDesc())) {
+                // 全国机动车登记
+                catalogIdMap.put(CatalogEnum.VEHICLE_INFO.getValue(), catalogIdObject);
+            } else {
+                continue;
+            }
+        }
+        return catalogIdMap;
+    }
+
+    @Override
+    public CommonResponseObject loadCookie() {
+        String requestId = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date())
+                + UUID.randomUUID().toString();
+        String cookie = CookieUtil.getAuthenticationCookie();
+        if (StringUtils.isBlank(cookie)) {
+            return CommonResponseObject.failed("查询失败", CommonConstant.NETWORK_DISABLED, getLocalHost(), requestId);
+        } else {
+            return CommonResponseObject.success(new HashMap<>(), getLocalHost(), requestId);
+        }
+    }
+
+    private String getLocalHost() {
+        InetAddress address = null;
+        try {
+            address = InetAddress.getLocalHost();
+        } catch (UnknownHostException e) {
+            e.printStackTrace();
+        }
+        if (address != null) {
+            return address.getHostAddress() + ":" + this.serverPort;
+        } else {
+            return "";
+        }
+    }
+}

+ 21 - 0
src/main/java/com/jkcredit/info/query/util/CatalogConcurrentHashMapUtil.java

@@ -0,0 +1,21 @@
+package com.jkcredit.info.query.util;
+
+import com.alibaba.fastjson.JSONObject;
+import okhttp3.Cookie;
+
+import java.util.List;
+import java.util.concurrent.ConcurrentHashMap;
+
+/**
+ * @author xusonglin
+ * @version V1.0
+ **/
+public enum CatalogConcurrentHashMapUtil {
+    INSTANCE;
+
+    public static ConcurrentHashMap<String, JSONObject> concurrentHashMap = new ConcurrentHashMap<>();
+
+    public static ConcurrentHashMap<String, JSONObject> getInstance() {
+        return concurrentHashMap;
+    }
+}

+ 20 - 0
src/main/java/com/jkcredit/info/query/util/CookieConcurrentHashMapUtil.java

@@ -0,0 +1,20 @@
+package com.jkcredit.info.query.util;
+
+import okhttp3.Cookie;
+
+import java.util.List;
+import java.util.concurrent.ConcurrentHashMap;
+
+/**
+ * @author xusonglin
+ * @version V1.0
+ **/
+public enum CookieConcurrentHashMapUtil {
+    INSTANCE;
+
+    public static ConcurrentHashMap<String, List<Cookie>>  concurrentHashMap = new ConcurrentHashMap<>();
+
+    public static ConcurrentHashMap<String, List<Cookie>> getInstance() {
+        return concurrentHashMap;
+    }
+}

+ 63 - 0
src/main/java/com/jkcredit/info/query/util/CookieUtil.java

@@ -0,0 +1,63 @@
+package com.jkcredit.info.query.util;
+
+import lombok.extern.slf4j.Slf4j;
+import okhttp3.Cookie;
+import org.apache.commons.lang3.StringUtils;
+import org.springframework.beans.factory.annotation.Value;
+import org.springframework.stereotype.Component;
+
+import java.net.InetAddress;
+import java.net.UnknownHostException;
+import java.util.List;
+import java.util.concurrent.ConcurrentHashMap;
+
+@Component
+@Slf4j
+public class CookieUtil {
+    private static String cookieUrl;
+    private static String authenticationCookieUrl;
+
+    @Value("${supplier.cookieUrl}")
+    public void setCookieUrl(String cookieUrl) {
+        CookieUtil.cookieUrl = cookieUrl;
+    }
+    @Value("${supplier.authenticationCookieUrl}")
+    public void setAuthenticationCookieUrl(String authenticationCookieUrl) {
+        CookieUtil.authenticationCookieUrl = authenticationCookieUrl;
+    }
+
+    public static String getAuthenticationCookie() {
+        String host = "";
+        InetAddress address = null;
+        try {
+            address = InetAddress.getLocalHost();
+        } catch (UnknownHostException e) {
+            e.printStackTrace();
+        }
+        if (address != null) {
+            host = address.getHostAddress();
+        }
+        log.info("host:{}", host);
+        ConcurrentHashMap<String, List<Cookie>> cookieStore = CookieConcurrentHashMapUtil.getInstance();
+        // todo
+        host = "51.1.0.61";
+        if (cookieStore.get(host) != null) {
+            return getCookie(host);
+        }
+        // todo 此处需要判断获取token是否成功
+        if (StringUtils.isNotBlank(HttpUtil.doGetLoadCookie(cookieUrl))) {
+            HttpUtil.doGet(authenticationCookieUrl, getCookie(host));
+        };
+        return getCookie(host);
+    }
+
+    public static String getCookie(String host) {
+        String cookie = "";
+        ConcurrentHashMap<String, List<Cookie>> cookieStore = CookieConcurrentHashMapUtil.getInstance();
+        if (cookieStore.get(host) != null) {
+            cookie = cookieStore.get(host).get(0).name()
+                    + "=" + cookieStore.get(host).get(0).value();
+        }
+        return cookie;
+    }
+}

+ 129 - 0
src/main/java/com/jkcredit/info/query/util/HttpUtil.java

@@ -0,0 +1,129 @@
+package com.jkcredit.info.query.util;
+
+import lombok.extern.slf4j.Slf4j;
+import okhttp3.*;
+
+import java.io.IOException;
+import java.util.ArrayList;
+import java.util.List;
+import java.util.concurrent.ConcurrentHashMap;
+import java.util.concurrent.TimeUnit;
+
+/**
+ * @author xusonglin
+ * @version V1.0
+ **/
+@Slf4j
+public class HttpUtil {
+    private static OkHttpClient okHttpClient = new OkHttpClient.Builder().build();
+
+    public static String doPost(String url, FormBody formBody, String cookie) {
+        long startTime = System.currentTimeMillis();
+        Request okRequest = new Request.Builder()
+                .post(formBody)
+                .url(url)
+                .header("Cookie", cookie)
+                .build();
+        OkHttpClient client = okHttpClient.newBuilder()
+                .connectTimeout(3000, TimeUnit.MILLISECONDS)
+                .readTimeout(3000, TimeUnit.MILLISECONDS)
+                .writeTimeout(3000, TimeUnit.MILLISECONDS)
+//                .sslSocketFactory(SSLSocketClient.getSocketFactory(), SSLSocketClient.getX509TrustManager())
+                .build();
+        String responseContext = "";
+        try {
+            Response response = client.newCall(okRequest).execute();
+            if (response.body() != null) {
+                responseContext = response.body().string();
+            }
+            response.close();
+        } catch (IOException ioe) {
+            ioe.printStackTrace();
+        }
+        log.info("url:{}, costTime:{}, response:{}", url, System.currentTimeMillis() - startTime, responseContext);
+        return responseContext;
+    }
+
+    public static String doGet(String url, String cookie) {
+        long startTime = System.currentTimeMillis();
+        Request okRequest = new Request.Builder().url(url)
+                .header("Cookie", cookie)
+                .build();
+
+        OkHttpClient client = okHttpClient.newBuilder()
+                .connectTimeout(3000, TimeUnit.MILLISECONDS)
+                .readTimeout(3000, TimeUnit.MILLISECONDS)
+                .writeTimeout(3000, TimeUnit.MILLISECONDS)
+//                .sslSocketFactory(SSLSocketClient.getSocketFactory())
+//                .hostnameVerifier(SSLSocketClient.getHostnameVerifier())
+                .build();
+        String responseContext = "";
+        try {
+            Response response = client.newCall(okRequest).execute();
+            if (response.body() != null) {
+                responseContext = response.body().string();
+            }
+            response.close();
+        } catch (IOException ioe) {
+            ioe.printStackTrace();
+        }
+        log.info("url:{}, costTime:{}, response:{}", url, System.currentTimeMillis() - startTime, responseContext);
+        return responseContext;
+    }
+
+    public static String doGetLoadCookie(String url) {
+        long startTime = System.currentTimeMillis();
+        ConcurrentHashMap<String, List<Cookie>> cookieStore = CookieConcurrentHashMapUtil.getInstance();
+        Request okRequest = new Request.Builder().url(url)
+                .build();
+
+        OkHttpClient client = okHttpClient.newBuilder()
+                .connectTimeout(3000, TimeUnit.MILLISECONDS)
+                .readTimeout(3000, TimeUnit.MILLISECONDS)
+                .writeTimeout(3000, TimeUnit.MILLISECONDS)
+                .cookieJar(new CookieJar() {
+                    @Override
+                    public void saveFromResponse(HttpUrl httpUrl, List<Cookie> list) {
+                        cookieStore.put(httpUrl.host(), list);
+                    }
+
+                    @Override
+                    public List<Cookie> loadForRequest(HttpUrl httpUrl) {
+                        List<Cookie> cookies = cookieStore.get(httpUrl.host());
+                        return cookies != null ? cookies : new ArrayList<Cookie>();
+                    }
+                })
+//                .sslSocketFactory(SSLSocketClient.getSocketFactory(), SSLSocketClient.getX509TrustManager())
+//                .hostnameVerifier(SSLSocketClient.getHostnameVerifier())
+                .build();
+        String responseContext = "";
+        try {
+            Response response = client.newCall(okRequest).execute();
+            if (response.body() != null) {
+                responseContext = response.body().string();
+            }
+            response.close();
+        } catch (IOException ioe) {
+//            ioe.printStackTrace();
+        } catch (Exception e) {
+//            e.printStackTrace();
+        }
+        log.info("url:{}, costTime:{}, response:{}", url, System.currentTimeMillis() - startTime, responseContext);
+        return responseContext;
+    }
+
+    public static void main(String[] args) {
+        System.setProperty("https.proxyHost", "127.0.0.1");
+        System.setProperty("https.proxyPort", "9986");
+
+        String cookie = CookieUtil.getAuthenticationCookie();
+
+        FormBody formBody = new FormBody.Builder()
+                .add("pinyin", "false")
+                .add("keyWord", "110223199507101866")
+                .build();
+        System.out.println(doPost("https://jwzhcx.ga/cloudSearch/goSearch.action", formBody, cookie));
+//        System.out.println(doGet("https://jwzhcx.ga/cloudSearch/ajaxQueryResult.action?pinyin=false&keyWord=%E4%BA%ACAQB470&reportQuery.id=5edb64d0f73f233bf99165c6&resource.id=5ee493d5f73f23422e32031c", cookie));
+        System.out.println(123);
+    }
+}

+ 70 - 0
src/main/java/com/jkcredit/info/query/util/SSLSocketClient.java

@@ -0,0 +1,70 @@
+package com.jkcredit.info.query.util;
+
+import javax.net.ssl.*;
+import java.security.SecureRandom;
+import java.security.cert.CertificateException;
+import java.security.cert.X509Certificate;
+
+public class SSLSocketClient {
+    public static SSLSocketFactory getSocketFactory() {
+        SSLSocketFactory socketFactory = null;
+        try {
+            SSLContext sslContext = SSLContext.getInstance("SSL");
+            sslContext.init(null, getTrustManager(), new SecureRandom());
+            socketFactory = sslContext.getSocketFactory();
+        } catch (Exception e) {
+            e.printStackTrace();
+        }
+        return socketFactory;
+    }
+    public static X509TrustManager getX509TrustManager() {
+        X509TrustManager x509TrustManager = new X509TrustManager() {
+            @Override
+            public void checkClientTrusted(X509Certificate[] x509Certificates, String s) throws CertificateException {
+
+            }
+
+            @Override
+            public void checkServerTrusted(X509Certificate[] x509Certificates, String s) throws CertificateException {
+
+            }
+
+            @Override
+            public X509Certificate[] getAcceptedIssuers() {
+                return new X509Certificate[0];
+            }
+        };
+        return x509TrustManager;
+    }
+    public static TrustManager[] getTrustManager() {
+        TrustManager[] trustManagers = new TrustManager[] {
+                new X509TrustManager() {
+                    @Override
+                    public void checkClientTrusted(X509Certificate[] x509Certificates, String s) throws CertificateException {
+
+                    }
+
+                    @Override
+                    public void checkServerTrusted(X509Certificate[] x509Certificates, String s) throws CertificateException {
+
+                    }
+
+                    @Override
+                    public X509Certificate[] getAcceptedIssuers() {
+                        return new X509Certificate[0];
+                    }
+                }
+        };
+        return trustManagers;
+    }
+
+    public static HostnameVerifier getHostnameVerifier() {
+        HostnameVerifier hostnameVerifier = new HostnameVerifier() {
+            @Override
+            public boolean verify(String s, SSLSession sslSession) {
+                return true;
+            }
+        };
+        return hostnameVerifier;
+    }
+}

+ 25 - 0
src/main/resources/application.yml

@@ -0,0 +1,25 @@
+server:
+  port: 28082
+spring:
+  application:
+    name: info-query
+eureka:
+  client:
+    serviceUrl:
+      defaultZone: http://51.1.0.61:28081/eureka
+  instance:
+    instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${server.port}
+#supplier:
+#  cookieUrl: https://jwzhcx.ga/sevenRule.action
+#  authenticationCookieUrl: https://jwzhcx.ga/pkiLogin.action
+#  mainPageRequestUrl: http://localhost:8080/cloudSearch/goSearch.action
+#  catalogUrl: https://jwzhcx.ga/cloudSearch/goSearch.action
+#  queryResultUrl: https://jwzhcx.ga/cloudSearch/ajaxQueryResult.action
+#  hostUrl: https://jwzhcx.ga/
+supplier:
+  cookieUrl: http://51.1.0.61:28087/sevenRule.action
+  authenticationCookieUrl: http://51.1.0.61:28087/pkiLogin.action
+  mainPageRequestUrl: http://51.1.0.61:28087/cloudSearch/goSearch.action
+  catalogUrl: http://51.1.0.61:28087/cloudSearch/goSearch.action
+  queryResultUrl: http://51.1.0.61:28087/cloudSearch/ajaxQueryResult.action
+  hostUrl: http://51.1.0.61:28087/

+ 61 - 0
src/main/resources/logback-spring.xml

@@ -0,0 +1,61 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<configuration debug="false" scan="false">
+    <springProperty scop="context" name="spring.application.name" source="spring.application.name" defaultValue=""/>
+    <property name="log.path" value="logs"/>
+    <!-- 彩色日志格式 -->
+    <property name="CONSOLE_LOG_PATTERN"
+              value="${CONSOLE_LOG_PATTERN:-%clr(%d{yyyy-MM-dd HH:mm:ss.SSS}){faint} %clr(${LOG_LEVEL_PATTERN:-%5p}) %clr(${PID:- }){magenta} %clr(---){faint} %clr([%15.15t]){faint} %clr(%-40.40logger{39}){cyan} %clr(:){faint} %m%n${LOG_EXCEPTION_CONVERSION_WORD:-%wEx}}"/>
+    <!-- 彩色日志依赖的渲染类 -->
+    <conversionRule conversionWord="clr" converterClass="org.springframework.boot.logging.logback.ColorConverter"/>
+    <conversionRule conversionWord="wex"
+                    converterClass="org.springframework.boot.logging.logback.WhitespaceThrowableProxyConverter"/>
+    <conversionRule conversionWord="wEx"
+                    converterClass="org.springframework.boot.logging.logback.ExtendedWhitespaceThrowableProxyConverter"/>
+    <!-- Console log output -->
+    <appender name="console" class="ch.qos.logback.core.ConsoleAppender">
+        <encoder>
+            <pattern>${CONSOLE_LOG_PATTERN}</pattern>
+        </encoder>
+    </appender>
+
+    <!-- Log file error output -->
+    <appender name="errorLog" class="ch.qos.logback.core.rolling.RollingFileAppender">
+        <file>${log.path}/error/error.log</file>
+        <rollingPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
+            <fileNamePattern>${log.path}/error/%d{yyyy-MM,aux}/error-%d{yyyy-MM-dd}.%i.log</fileNamePattern>
+            <maxFileSize>50MB</maxFileSize>
+        </rollingPolicy>
+        <encoder>
+            <pattern>%date [%thread] %-5level [%logger{50}] %file:%line - %msg%n</pattern>
+        </encoder>
+        <filter class="ch.qos.logback.classic.filter.ThresholdFilter">
+            <level>ERROR</level>
+        </filter>
+    </appender>
+
+
+    <!-- Log file debug output -->
+    <appender name="sourceLog" class="ch.qos.logback.core.rolling.RollingFileAppender">
+        <!-- 过滤器,只记录WARN级别的日志 -->
+        <filter class="ch.qos.logback.classic.filter.LevelFilter">
+            <level>INFO</level>
+            <onMatch>ACCEPT</onMatch>
+            <onMismatch>DENY</onMismatch>
+        </filter>
+        <file>${log.path}/source/source.log</file>
+        <rollingPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
+            <fileNamePattern>${log.path}/source/%d{yyyy-MM,aux}/source-%d{yyyy-MM-dd}.%i.log</fileNamePattern>
+            <maxFileSize>50MB</maxFileSize>
+        </rollingPolicy>
+        <encoder>
+            <pattern>%date [%thread] %-5level [%logger{50}] %file:%line - %msg%n</pattern>
+        </encoder>
+    </appender>
+
+    <!-- Level: FATAL 0  ERROR 3  WARN 4  INFO 6  DEBUG 7 -->
+    <root level="INFO">
+        <appender-ref ref="console"/>
+        <appender-ref ref="sourceLog"/>
+        <appender-ref ref="errorLog"/>
+    </root>
+</configuration>